
QGIS Application - Bug report #12311

QGis crashes when loading WFS

2015-03-04 02:37 AM - S Wisu

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 20489

Description

When I try to load the following WFS, QGIS crashes:

http://www.umwelt.sachsen.de/umwelt/infosysteme/wfs/services/wasser/gewaesser?request=GetCapabilities&#38;service=WFS&#38;v

rsion=1.0.0

(loaded via Menu Layer->Layer hinzufügen->WFS-Layer hinzufügen)

History

#1 - 2015-03-04 04:50 AM - Giovanni Manghi

- Priority changed from Normal to High

- Category set to Web Services clients/WFS

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data changed from No to Yes

Hi,

I cannot confirm on both Linux and Windows, qgis 2.8.1 and master.

does it happens if you install QGIS in the "standard" folder, instead of E:\\Tools2\\GIS ?

#2 - 2015-03-04 05:44 AM - S Wisu

- File qgis_crash2.txt added

- File qgis_error_wfs.jpg added

I uninstalled qgis from drive E and installed it on drive C. The error is the same (see files in attachment for details).

Two more information:

- the error message (minidump ...) appears first, the yellow "timeout" message some seconds later

- the error does not occur if I only select the first layer ("Standgewaesser") when adding the WFS, so the second layer ("Fliessgewaesser") seem to cause

the error

#3 - 2015-03-04 05:55 AM - Giovanni Manghi
- the error does not occur if I only select the first layer ("Standgewaesser") when adding the WFS, so the second layer ("Fliessgewaesser") seem to

cause the error

Anyway I tested both (on Windows too).

Could you test on a different machine? and/or by disabling all the 3rd party plugins. Thanks.

#4 - 2015-03-04 06:32 AM - S Wisu

Deactivating all plugins did not help. I´ll test on a different machine this week ...

#5 - 2015-03-06 12:22 AM - S Wisu

OK I installed qgis on my laptop (WinXP, 32bit) - there I can load the WFS without any problems.

#6 - 2015-03-06 12:48 AM - Giovanni Manghi

S Wisu wrote:

OK I installed qgis on my laptop (WinXP, 32bit) - there I can load the WFS without any problems.

so, does the crash happens also on empty projects? Pleas test also renaming temporarily the .qgis2 folder and/or using a lower number of cores used by

qgis for canvas rendering.

#7 - 2015-03-06 01:55 AM - S Wisu

- yes, it also happens on empty projects

- renaming .qgis2 folder did not help

- using a lower number of cores (via Win taskmanager and via qgis settings) did not help

By the way - for me this topics doesn't have high priority, I can load the WFS in another client. But of course if you have more ideas I would do some more

tests ...

#8 - 2015-03-06 11:37 AM - Giovanni Manghi

By the way - for me this topics doesnt have high priority, I can load the WFS in another client. But of course if you have more ideas I would do some

more tests

I don't know if it can have any affect, but you could try a really clean installation, by wiping .qgis2 and the registry entries. There is of course something

specific about your system.

#9 - 2015-03-09 12:13 AM - S Wisu

OK I could try to remove everything of my previous installations. I used qgis 2.2 - 2.6 before - do you habe any description which keys I have to delete in the
registry?

#10 - 2015-06-14 12:13 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

S Wisu wrote:

OK I installed qgis on my laptop (WinXP, 32bit) - there I can load the WFS without any problems.

then it should really be a local issue on your other machine.

Files

qgis_crash.txt 20.3 KB 2015-03-04 S Wisu

qgis_error_wfs.jpg 206 KB 2015-03-04 S Wisu

qgis_crash2.txt 20.1 KB 2015-03-04 S Wisu
